<!DOCTYPE html>
<html>
	<head>
		<title>Nuova Fattura</title>
	</head>
	<body>
		<h1>Compilazione Form Fattura</h1>
		<div>
			<!-- <fieldset>
				<legend>Dettagli Fattura</legend> -->
				<input type="date" id="invoiceDate" style="width: 15%; margin-bottom: 1%;">
				<label for="invoiceDate">Data</label><br>
				<input type="number" id="invoiceNumber" style="width: 15%; margin-bottom: 1%;">
				<label for="invoiceNumber">Numero</label><br>
				<input type="text" id="invoiceDescr" style="width: 42%; margin-bottom: 2%;"
					placeholder="Inserire descrizione...">
				<label for="invoiceDescr">Oggetto</label>
			<!-- </fieldset> -->
		</div>
		<div class="row">
			<div class="block" style="width: 40%; height: 420px;">
				<!-- <fieldset>
					<legend>Dati Fornitore</legend> -->
					<h2>Fornitore</h2>

					<input type="text" id="supplier" placeholder="Inserire nome..."
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplier">Nome</label>
					<input type="text" id="supplierAddress" placeholder="Es. Via Rossi 1"
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierAddress">Indirizzo</label>
					<input type="number" id="supplierZip" placeholder="Es. 4365"
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierZip">CAP</label>
					<input type="text" id="supplierCity" placeholder="Inserire città..."
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierCity">Città</label>
					<input type="text" id="supplierProvince" placeholder="Es. AG"
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierProvince">Provincia</label>
					<input type="text" id="supplierState" placeholder="Es. Italia"
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierState">Stato</label>
					<input type="text" id="supplierVat" placeholder="Inserire partita IVA..."
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierVat">Partita IVA</label>
					<input type="text" id="supplierFc" placeholder="Inserire codice fiscale..."
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierFc">Codice Fiscale</label>
					<input type="text" id="supplierSite" placeholder="Es. www.fornitore.it"
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierSite">Sito</label>
					<input type="text" id="supplierEec" placeholder="Inserire il Bollo CEE..."
						style="width: 70%; margin-bottom: 2%;">
					<label for="supplierEec">Bollo CEE</label><br>
					<small>Inserirne uno nuovo oppure selezionare dallo <font color="#3399ff"><b>Storico Fornitori</b></font></small><br><br>
				<!-- </fieldset> -->
			</div>
			<div class="block" style="float: right; width: 56%; height: 390px;">
				<!-- #3399ff -->
				<font color="#3399ff"><h2>Storico Fornitori</h2></font>
				<table id="suppliers" style="width:95%;">
					<th hidden="true">Data</th>
					<th style="width: 10%"></th>
					<th style="width: 25%"><font color="#808080">Nome</font></th>
					<th style="width: 25%"><font color="#808080">Partita IVA</font></th>
					<th style="width: 25%"><font color="#808080">Bollo CEE</font></th>
				</table>
			</div>
		</div>
		<div class="row" align="right">
			<h2 align="right">Dati Destinatario</h2>
				<div class="block" style="width: 40%">
				<label for="receiver">Nome</label>
					<input style="text-align: right; width: 70%; margin-bottom: 2%;"
            type="text" id="receiver" placeholder="Inserire nome..."
            value="Artisti macellai"><br>
          <label for="receiverAddress">Indirizzo</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
            type="text" id="receiverAddress" placeholder="Es. Via Rossi 1"
            value="L.go mare Colombo snc"><br>
          <label for="receiverZip">CAP</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
	          type="number" id="receiverZip" placeholder="Es. 43100"
	          value="73040"><br>
          <label for="receiverCity">Città</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
            type="text" id="receiverCity" placeholder="Inserire città..."
            value="Capilungo - Marina di Alliste"><br>
          <label for="receiverProvince">Provincia</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
            type="text" id="receiverProvince" placeholder="Es. AG"
            value="LE"><br>
          <label for="receiverState">Stato</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
            type="text" id="receiverState" placeholder="Es. Italia"
            value="Italia"><br>
          <label for="receiverVat">Partita IVA</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
            type="text" id="receiverVat" maxlength="11" placeholder="Inserire partita IVA..."
            value="04671860759"><br>
          <label for="receiverFc">Codice Fiscale</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
            type="text" id="receiverFc" placeholder="Inserire codice fiscale..."
            value="04671860759"><br>
          <label for="receiverSite">Sito</label>
          <input style="text-align: right; width: 70%; margin-bottom: 2%;"
          	type="text" id="receiverSite" placeholder="Es. www.destinatario.it"><br>
					<label for="receiverEec">Bollo CEE</label>
					<input type="text" id="receiverEec" placeholder="Inserire il Bollo CEE..."
						style="text-align: right; width: 70%; margin-bottom: 2%;">
				</div>
		</div>
		<div class="row">
			<div class="block" style="height: 400px;">
				<h2>Beni e Servizi</h2>
				<input type="button" style="width: 23%" value="Aggiungi riga" onclick="invoice.addRow()"><!--<br><br>-->
				<small>Oppure aggiungere tra i prodotti disponibili.</small><br><br>
				<table id="productTable" style="width:95%;"></table>
			</div>
			<div class="block" style="height: 400px;">
				<h2>Prodotti registrati</h2>
				<small>Lista dei prodotti registrati da poter inserire nella fattura.</small>
				<br><br>
				<table id="availableComponentsTable" style="width:95%;">
					<th style="width: 5%" align="center">Add</th>
					<th style="width: 15%" align="center">Codice</th>
					<th style="width: 35%">Ingrediente</th>
					<th style="width: 20%" align="center">Lotto</th>
					<th style="width: 15%" align="right">Qnt. (kg)</th>
					<th style="width: 10%;" align="center">Scarto</th>
				</table>
			</div>
		</div>

		<div class="row" align="center">
			<br><input type="button" style="width: 30%; height: 40px; margin-top: 7%;" value="Inserisci Fattura" onclick="invoice.extract();"><br>
			<!-- <br><input type="button" style="width: 30%; height: 40px; margin-Bottom: 7%;" value="Stampa Fattura" onclick="invoice.print();"><br> -->
			<font color="1E90FF"><small>Project MII Team, powered by Stellar.</small></font>
		</div>
		<!-- <div class="row">
			<div class="block" style="width: 60%;">
				<font color="1E90FF">
					<h2>Transazioni sul Registro Decentralizzato</h2>
					<table id="txTable"></table>
				</font>
			</div>
		</div> -->
		<div id="snackbar">
			<small>In questo momento non chiudere o ricaricare la pagina,</small><br>
			<small>le transazioni stanno venendo confermate dal sistema.</small>
		</div>
	</body>
</html>
